<?php
function check_user_rights(){
	// CHECK LES DROITS
}
function run_resource_method(){
	
	$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
	include $path.'/api/lib/api_common.php';
	
	global $urlParameters;
			
	$time=1;	
	$key_time = false;
	$list_errors=array();
	if (!empty($urlParameters))
	{
		$key_time = array_search('history', $urlParameters);
		if(empty($urlParameters[$key_time+2])){
			$nb_time = 1;
		}
		else {
			$nb_time = $urlParameters[$key_time+2];
		}
		
		if ($nb_time <= 0 ) throw new InvalidArgumentException();
			
		if($key_time!==false) 
		{
			switch ($urlParameters[$key_time+1])		
			{
				case 'day' :
				case 'days':
					$time = $nb_time;
					break;		
				case 'week' :
				case 'weeks':
					$time=($nb_time*7);
					break;
				case 'month' :
				case 'months':
					$now = new DateTime();
					$date = new DateTime();
					$date->sub(new DateInterval('P'.$nb_time.'M'));
					$ts_now = $now->format('U');
					$ts_date = $date->format('U');
					
					$time = ($ts_now - $ts_date)/86400;
					break;
				case 'year' :
				case 'years':
					$now = new DateTime();
					$date = new DateTime();
					$date->sub(new DateInterval('P'.$nb_time.'Y'));
					$ts_now = $now->format('U');
					$ts_date = $date->format('U');
					
					$time = ($ts_now - $ts_date)/86400;
				break;
				default:
					throw new NotFoundResourceException('Incorrect period "'.$urlParameters[$key_time+1].'" must be days, weeks, month or years.');
			}
		}
	}
	
	if(isset($_GET['time'])&& is_numeric($_GET['time']))
	{
		$time = $_GET['time'];
	}	
	
	try
	{
		if($key_time!==false)
		{					
			$arr = Model_esia::getAllErrorByTime($dbconnection,$user->getId(),$time);
			foreach($arr as $error)
			{
				$out = preg_replace('#\|.*#',"\n",$error['message']);
				$common_name = Model_esia::getCommonName($lang, $error['plugin_name'], $error['check_plugin_name']);
				
				$list_errors[]=array('name'=>$error['name'],
						'group'=>$error['group'],
						'group_parent'=>$error['group_parent'],
						'page_control'=>$error['page_control'],
						'id'=>$error['id'],
						'type_device'=>$error['type_device'],
						'type_error'=>$error['type_error'],
						'error'=>$error['error'],
						'message'=>$out,
						'plugin_name'=>$error['plugin_name'],
						'time'=>$error['time'],
						'priority'=>$error['priority'],
						'acquite'=>$error['time_acquitte'],
						'common_name' => $common_name
				);
			}
		}
		else
		{					
			$list_node = Model_esia::getError($dbconnection,$user->getId(),true);			
			$nodes_fin =array();
			foreach($list_node as $node)
			{
				$common_name = Model_esia::getCommonName($lang, $node['plugin_name'], $node['check_plugin_name']);
				if(array_key_exists($node['name'],$nodes_fin))
				{					
					$type_error= $nodes_fin[$node['name']]['type_error'];
					if($type_error!='critical' && $node['type_error']=='critical')
					{
						$type_error = 'critical';
						$error = 'default_critical_error';
					}
					elseif($type_error=='unknown' && $node['type_error']=='warning')
					{
						$type_error = 'warning';
						$error = 'default_warning_error';
					}
					$nodes_fin[$node['name']]=array('name'=>$node['name'],
							'group'=>$node['group'],
							'page_control'=>$node['page_control'],
							'id'=>$node['id'],
							'type_device'=>$node['type_device'],
							'type_error'=>$type_error,
							'error'=>$error,
							'time'=>$node['time'],
							'common_name' =>$common_name,
							'nbre' => $nodes_fin[$node['name']]['nbre']+1 );
				}
				else
				{
					$nodes_fin[$node['name']]=array('name'=>$node['name'],
							'group'=>$node['group'],
							'page_control'=>$node['page_control'],
							'id'=>$node['id'],
							'type_device'=>$node['type_device'],
							'type_error'=>$node['type_error'],
							'error'=>$node['error'],
							'time'=>$node['time'],
							'common_name' =>$common_name,
							'nbre' => 1);
				}
			}			
			$list_errors = $nodes_fin;			
		}
	}
	catch (HTTPException $e){
		throw $e;
	}
	catch (Exception $e)
	{
		throw new  NotFoundResourceException ("Error alert".$e->getMessage());
	}
	return $list_errors;
}
?>